Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ListOlapViewsAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ListOlapViewsAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ListOlapViewsAction

extends org.springframework.webflow.action.FormAction

ListOlapViewsAction provides the action to display olap views

Author:
  jshih

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ListOlapViewsAction()`

Method Summary
`RepositoryService` | `getRepository()` getRepository returns the repository service property
`org.springframework.webflow.execution.Event` | `listOlapViews(org.springframework.webflow.execution.RequestContext context)` listOlapViews performs the list olap views action
`void` | `setRepository(RepositoryService repository)` setRepository sets the repository service property

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Constructor Detail

### ListOlapViewsAction

    public ListOlapViewsAction()

Method Detail

### listOlapViews

    public org.springframework.webflow.execution.Event listOlapViews(org.springframework.webflow.execution.RequestContext context)

  listOlapViews performs the list olap views action

  Parameters:
    `context` -
  Returns:

### getRepository

    public RepositoryService getRepository()

  getRepository returns the repository service property

  Returns:

### setRepository

    public void setRepository(RepositoryService repository)

  setRepository sets the repository service property

  Parameters:
    `repository` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.